Find Personal Email
curl --request POST \
--url https://api.groweasy.io/email/personal \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"firstName": "John",
"lastName": "Smith",
"linkedinUrl": "<string>",
"location": "San Francisco, CA"
}
'import requests
url = "https://api.groweasy.io/email/personal"
payload = {
"firstName": "John",
"lastName": "Smith",
"linkedinUrl": "<string>",
"location": "San Francisco, CA"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
firstName: 'John',
lastName: 'Smith',
linkedinUrl: '<string>',
location: 'San Francisco, CA'
})
};
fetch('https://api.groweasy.io/email/personal', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"email": "johnsmith@gmail.com",
"confidence": 0.85
}
}{
"success": false,
"error": {
"code": "INVALID_REQUEST",
"message": "The request body is missing required fields"
}
}{
"success": false,
"error": {
"code": "INVALID_REQUEST",
"message": "The request body is missing required fields"
}
}{
"success": false,
"error": {
"code": "INVALID_REQUEST",
"message": "The request body is missing required fields"
}
}{
"success": false,
"error": {
"code": "INVALID_REQUEST",
"message": "The request body is missing required fields"
}
}API documentation
Find Personal Email
Find a personal email address for a person.
POST
/
email
/
personal
Find Personal Email
Example
curl -X POST "https://api.groweasy.io/email/personal" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"firstName": "John",
"lastName": "Smith",
"linkedinUrl": "https://linkedin.com/in/johnsmith"
}'
const response = await fetch('https://api.groweasy.io/email/personal', {
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_API_KEY',
'Content-Type': 'application/json',
},
body: JSON.stringify({
firstName: 'John',
lastName: 'Smith',
linkedinUrl: 'https://linkedin.com/in/johnsmith',
}),
});
const data = await response.json();
console.log(data.data.email); // "johnsmith@gmail.com"
console.log(data.data.confidence); // 0.85
import requests
response = requests.post(
"https://api.groweasy.io/email/personal",
headers={
"Authorization": "Bearer YOUR_API_KEY",
"Content-Type": "application/json",
},
json={
"firstName": "John",
"lastName": "Smith",
"linkedinUrl": "https://linkedin.com/in/johnsmith",
},
)
data = response.json()
print(data["data"]["email"]) # "johnsmith@gmail.com"
print(data["data"]["confidence"]) # 0.85
Response
{
"success": true,
"data": {
"email": "johnsmith@gmail.com",
"confidence": 0.85
}
}
With Location
Add location for better disambiguation when searching for common names:curl -X POST "https://api.groweasy.io/email/personal" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"firstName": "John",
"lastName": "Smith",
"linkedinUrl": "https://linkedin.com/in/johnsmith",
"location": "San Francisco, CA"
}'
Use Cases
Personal email lookup is useful when:- Business email bounced or is unavailable
- Reaching out for non-business purposes
- The person is a founder/freelancer without a company domain
- Following up after someone leaves a company
Authorizations
API key authentication. Get your API key from the GrowEasy dashboard.
Body
application/json
Person information
⌘I